卜部です。

Yukihiro Matsumoto さんは書きました:
> 1.9.1に含めないという選択は
>
>   * 1.9.2に入れるのでは非互換性が大きい
>   * 2.0まで待つのは先が遠すぎる
>
> ので、どなたかが私を積極的に説得しない限り、採用したくありま
> せん。
>   

(なんで非互換が大きいと自覚していながらfreeze後に入れようとするのか本当
に理解に苦しむが、それはさておき、)私は2.0を待つのが妥当であると信じてい
ます。Rubyのm17nデザインは過去にも何回もデザインが変わって、いままだこん
なに混乱しています。今後たかが数週間で、今後何年も通用するすばらしいデザ
インが突如として誕生するとかいう期待はあまりに楽観的というものです。今ま
つもとさんが行う変更が(過去のm17nデザインがそうだったように)間違っていな
い、という根拠はどこから来るのでしょうか。頭を冷やせと言いたい。

考えて考えて考え考えた結果として最終的にdefault_internalが採用されること
自体はありうると思いますが、その結論に至るまでには2.0 を出す段階になって
てもいいでしょう。